import React from "react";
import ReactDOM from "react-dom";
import { BrowserRouter } from "react-router-dom";
import { Provider } from "react-redux";

import Header from "./components/header";
import App from "./router";
import * as serviceWorker from "./serviceWorker";

import "./style.scss";

import { store } from "./store";

ReactDOM.render(
	<Provider store={store}>
		<BrowserRouter>
			<Header />
			<App />
		</BrowserRouter>
	</Provider>,
	document.getElementById("root")
);

// If you want your app to work offline and load faster, you can change
// unregister() to register() below. Note this comes with some pitfalls.
// Learn more about service workers: https://bit.ly/CRA-PWA
serviceWorker.unregister();
